Skip to Content

Render a check-in preview with a labelled sample order

Renders the exact publication without sending, enrolling a recipient, or requiring a verified test destination.

POST
/v1/integrations/catalog/recipes/post-delivery-check-in/preview

Renders the exact publication without sending, enrolling a recipient, or requiring a verified test destination.

Authorization

apiKey
headerx-api-key<token>

Request Body

application/json
  1. body
templateId*TemplateId
Match^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$
publicationId*TemplatePublicationId
Match^tpub_[0-9a-hjkmnp-tv-z]{16,24}$
fixture?string
Length1 <= length <= 100
templateData?
channel*"email"
Value in"email"

Response Body

RecipePreviewResponse

application/json
  1. response
fixture*string
Length1 <= length <= 100
publicationId*TemplatePublicationId
Match^tpub_[0-9a-hjkmnp-tv-z]{16,24}$
channel*"email"
Value in"email"
content*
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.recipePreview({
  "templateId": "example",
  "publicationId": "example",
  "channel": "email"
});
Example Response
{
  "fixture": "string",
  "publicationId": "string",
  "channel": "email",
  "content": {
    "subject": "string",
    "preheader": "string",
    "html": "string",
    "text": "string"
  }
}

Related documentation